{html_head}
<script src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;language={$lang_info.code}" type="text/javascript"></script>
{combine_script id='jquery' load='header' path='themes/default/js/jquery.min.js'}
{combine_script id='jquery.colorbox' load='async' require='jquery' path='themes/default/js/plugins/jquery.colorbox.min.js'}
{combine_css path='themes/default/js/plugins/colorbox/style2/colorbox.css'}
{/html_head}{html_style}{literal}
#mapPicture {
	position:absolute;
	width: 310px;
}

#map {
	position:relative;
	left: 320px;
	margin-right: 320px;
	height: 512px;
	min-height: 512px;
}

#linkPrev, #linkNext {display:none}
{/literal}{/html_style}

<div id="mapPicture">
<a href="{$U_NO_MAP}" title="{'return to normal view mode'|@translate}" rel="nofollow"><img src="{$current.THUMB_SRC}" alt="thumb"></a>
<br/>
<a href="{$U_BLOWUP}" onclick="return blowupUrl(this.href);">{'More photos near this location'|@translate}</a>
<br/>
{$COMMENT_IMG}
<br/>
</div>

<div id="map"></div>

<div style="clear:both"></div>
<script type="text/javascript">{literal}
//<![CDATA[
jQuery(document).ready( function () {
	var mapElement = document.getElementById("map");
	var mapOpts = {
{/literal}{if isset($coordinates)}
		center: new google.maps.LatLng( {$coordinates.LAT}, {$coordinates.LON} ),
		zoom : 12,
{else}
		center: new google.maps.LatLng(0,0),
		zoom : 1,
{/if}{literal}
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	
	var map = new google.maps.Map( mapElement, mapOpts );

{/literal}{if isset($coordinates)}
	var marker = new google.maps.Marker( {ldelim}
		position: map.getCenter(),
		map: map
		});
{/if}{literal}
}
);

function blowupUrl(theUrl)
{
	jQuery.colorbox({href: theUrl, iframe: 1, width: "99%", height: "99%"});
	return false;
}

//]]>
{/literal}</script>